#!/usr/bin/env python
from DFTB import AtomicData
from DFTB import Periodic
from DFTB.DFTB2 import DFTB2

def silicon_fcc():
    a = 5.43 / AtomicData.bohr_to_angs
    fcc = Periodic.BodyCenteredCubic(a)
    atomlist = [(6, (0.0, 0.0, 0.0))]

    dftb2 = DFTB2(atomlist, parameter_set="homegrown", verbose=1)
    dftb2.setGeometry(atomlist)
    dftb2.runPeriodicSCC(fcc.a, None, nmax=7)

if __name__ == "__main__":
    silicon_fcc()
